Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.net
Class NetworkInterface

    java.lang.Object
      |
      +--java.net.NetworkInterface

public final class NetworkInterface
extends Object

This class represents a Network Interface made up of a name, and a list of IP addresses assigned to this interface. It is used to identify the local interface on which a multicast group is joined. Interfaces are normally known by names such as "le0".

Since:
  1.4

Method Summary
`boolean` | `equals(Object obj)` Compares this object against the specified object.
`static NetworkInterface` | `getByInetAddress(InetAddress addr)` Convenience method to get a network interface given its IP address.
`static NetworkInterface` | `getByName(String name)` Get a network interface knowing its name.
`String` | `getDisplayName()` Get the display name of this network interface.
`Enumeration` | `getInetAddresses()` Convenience method to return an Enumeration with all or a subset of the InetAddresses bound to this network interface.
`String` | `getName()` Get the name of this network interface.
`static Enumeration` | `getNetworkInterfaces()` Returns all the interfaces on this machine.
`int` | `hashCode()` Returns a hash code value for the object.
`String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getName

    public String getName()

  Get the name of this network interface.

  Returns:
    the name of this network interface

### getInetAddresses

    public Enumeration getInetAddresses()

  Convenience method to return an Enumeration with all or a subset of the InetAddresses bound to this network interface.

  If there is a security manager, its `checkConnect` method is called for each InetAddress. Only InetAddresses where the `checkConnect` doesn't throw a SecurityException will be returned in the Enumeration.

  Returns:
    an Enumeration object with all or a subset of the InetAddresses bound to this network interface

### getDisplayName

    public String getDisplayName()

  Get the display name of this network interface. A display name is a human readable String describing the network device.

  Returns:
    the display name of this network interface, or null if no display name is available.

### getByName

    public static NetworkInterface getByName(String name)
                                      throws SocketException

  Get a network interface knowing its name.

  Parameters:
    `name` - s String representing the name of the interface
  Returns:
    the NetworkInterface obtained from its name
  Throws:
    `SocketException` - if an I/O error occurs.

### getByInetAddress

    public static NetworkInterface getByInetAddress(InetAddress addr)
                                             throws SocketException

  Convenience method to get a network interface given its IP address.

  Parameters:
    `addr` - an InetAddress the interface is bound to
  Returns:
    the NetworkInterface obtained from its IP address
  Throws:
    `SocketException` - if an I/O error occurs.

### getNetworkInterfaces

    public static Enumeration getNetworkInterfaces()
                                            throws SocketException

  Returns all the interfaces on this machine. Returns null if no network interfaces could be found on this machine. NOTE: can use getNetworkInterfaces()+getInetAddresses() to obtain all IP addresses for this node

  Returns:
    an Enumeration of NetworkInterfaces found on this machine
  Throws:
    `SocketException` - if an I/O error occurs.

### equals

    public boolean equals(Object obj)

  Compares this object against the specified object. The result is `true` if and only if the argument is not `null` and it represents the same NetworkInterface as this object.

  Two instances of `NetworkInterface` represent the same NetworkInterface if both name and addrs are the same for both.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - the object to compare against.
  Returns:
    `true` if the objects are the same; `false` otherwise.
  See Also:
    `InetAddress.getAddress()`

### hashCode

    public int hashCode()

  Description copied from class: `Object`
  Returns a hash code value for the object. This method is supported for the benefit of hashtables such as those provided by `java.util.Hashtable`.

  The general contract of `hashCode` is:

  - Whenever it is invoked on the same object more than once during an execution of a Java application, the `hashCode` method must consistently return the same integer, provided no information used in `equals` comparisons on the object is modified. This integer need not remain consistent from one execution of an application to another execution of the same application.
  - If two objects are equal according to the `equals(Object)` method, then calling the `hashCode` method on each of the two objects must produce the same integer result.
  - It is not required that if two objects are unequal according to the `Object.equals(java.lang.Object)` method, then calling the `hashCode` method on each of the two objects must produce distinct integer results. However, the programmer should be aware that producing distinct integer results for unequal objects may improve the performance of hashtables.

  As much as is reasonably practical, the hashCode method defined by class `Object` does return distinct integers for distinct objects. (This is typically implemented by converting the internal address of the object into an integer, but this implementation technique is not required by the JavaTM programming language.)

  Overrides:
    `hashCode` in class `Object`
  Returns:
    a hash code value for this object.
  See Also:
    `Object.equals(java.lang.Object)`, `Hashtable`

### toString

    public String toString()

  Description copied from class: `Object`
  Returns a string representation of the object. In general, the `toString` method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method.

  The `toString` method for class `Object` returns a string consisting of the name of the class of which the object is an instance, the at-sign character ``@`', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of:

  >      getClass().getName() + '@' + Integer.toHexString(hashCode())

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.